import { Default } from "../../common/default";
import { Datime, EGeoId, EGeoStatus, EGeoType, FreeText, Weather } from "../../common/types";
import { Position } from "../location";
export declare class EGeo extends Default {
    datime?: Datime;
    type: EGeoType;
    weather?: Array<Weather>;
    freeText?: FreeText;
    position?: Position;
    id?: EGeoId;
    status?: EGeoStatus;
    constructor(type: EGeoType, position?: Position);
    setDatime(datime: Datime): this;
    addWeather(weathers: Weather[]): this;
    setFreeText(freeText?: FreeText): this;
    setId(id: EGeoId): this;
    setStatus(status: EGeoStatus): this;
    static default(): EGeo;
    assign(source: Record<string, any>): this;
}
