import { Default } from "../../common/default";
import { CasualtiesStatus, Contamination, Health, Location, Triage } from "../../common/types";
export declare class Informations extends Default {
    status: CasualtiesStatus;
    triage?: Triage;
    contamination?: Contamination;
    location?: Location;
    health?: Health;
    constructor(status: CasualtiesStatus);
    setTriage(triage: Triage): this;
    setContamination(contamination: Contamination): this;
    setLocation(location: Location): this;
    setHealth(health: Health): this;
    static default(): Informations;
    assign(source: Record<string, any>): this;
}
