import { Default } from "../../common/default";
import { Datime, RGeoId, RGeoType, FreeText } from "../../common/types";
import { Position } from "../location";
export declare class RGeo extends Default {
    datime?: Datime;
    type: RGeoType;
    freeText?: FreeText;
    position?: Position;
    id?: RGeoId;
    constructor(type: RGeoType, position?: Position);
    setDatime(datime: Datime): this;
    setFreeText(freeText?: FreeText): this;
    setId(id: RGeoId): this;
    static default(): RGeo;
    assign(source: Record<string, any>): this;
}
