import { Default } from "../../common/default";
import { Capability, Characteristics, Class } from "../../common/types";
export declare class RType extends Default {
    class: Array<Class>;
    capability?: Array<Capability>;
    characteristics?: Array<Characteristics>;
    constructor(classes: Class[]);
    addCapabilities(capabilities: Capability[]): this;
    addCharacteristics(characteristics: Characteristics[]): this;
    static default(): RType;
    assign(source: Record<string, any>): this;
}
