"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorModel = void 0;
class ErrorModel extends Error {
    static checkLength(field, max_length) {
        if (field && field.length > max_length)
            throw new this(`"${field.substring(0, 10)}..." is too long (${max_length} characters maximum)`);
        return true;
    }
}
exports.ErrorModel = ErrorModel;
