export declare type ParseOptions = Record<string, unknown>;
export declare type Js2XmlFn = (node: unknown, options?: ParseOptions) => string;
export declare type Xml2JsFn = (xml: string, options?: ParseOptions) => Record<string, unknown> | undefined;
export declare function js2xml(node: unknown, options?: ParseOptions, fn?: Js2XmlFn): string;
export declare function xml2js(xml: string, options?: ParseOptions, fn?: Xml2JsFn): Record<string, any> | undefined;
