"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContactType = exports.ResourceStatus = exports.MissionPriority = exports.MissionStatus = exports.HeightRole = exports.PositionType = exports.Health = exports.Location = exports.Contamination = exports.Triage = exports.CasualtiesStatus = exports.CasualtiesContext = exports.EGeoStatus = exports.Cause = exports.RiskAssessmnt = exports.Status = exports.Scale = exports.Source = exports.InfoType = exports.Urgency = exports.SeClass = exports.Level = exports.LinkRole = exports.MsgType = exports.Mode = exports.EmsiStatus = void 0;
var EmsiStatus;
(function (EmsiStatus) {
    EmsiStatus[EmsiStatus["EMPTY"] = 0] = "EMPTY";
    EmsiStatus[EmsiStatus["READY"] = 1] = "READY";
    EmsiStatus[EmsiStatus["PARTIAL"] = 2] = "PARTIAL";
    EmsiStatus[EmsiStatus["ERROR"] = 3] = "ERROR";
})(EmsiStatus = exports.EmsiStatus || (exports.EmsiStatus = {}));
var Mode;
(function (Mode) {
    Mode["ACTUAL"] = "ACTUAL";
    Mode["EXERCISE"] = "EXERCS";
    Mode["SYSTEM"] = "SYSTEM";
    Mode["TEST"] = "TEST";
})(Mode = exports.Mode || (exports.Mode = {}));
var MsgType;
(function (MsgType) {
    MsgType["ACK"] = "ACK";
    MsgType["ALERT"] = "ALERT";
    MsgType["CANCEL"] = "CANCEL";
    MsgType["ERROR"] = "ERROR";
    MsgType["UPDATE"] = "UPDATE";
})(MsgType = exports.MsgType || (exports.MsgType = {}));
var LinkRole;
(function (LinkRole) {
    LinkRole["ADD_TO"] = "ADDSTO";
    LinkRole["SUPERSEDE"] = "SPRSDS";
})(LinkRole = exports.LinkRole || (exports.LinkRole = {}));
var Level;
(function (Level) {
    Level["STRATEGIC"] = "STRTGC";
    Level["OPERATIONAL"] = "OPR";
    Level["TACTICAL"] = "TACTCL";
})(Level = exports.Level || (exports.Level = {}));
var SeClass;
(function (SeClass) {
    SeClass["CONFIDENTIAL"] = "CONFID";
    SeClass["RESTRICTED"] = "RESTRC";
    SeClass["SECRET"] = "SECRET";
    SeClass["TOP_SECRET"] = "TOPSRT";
    SeClass["UNCLASSIFIED"] = "UNCLAS";
    SeClass["UNMARKED"] = "UNMARK";
})(SeClass = exports.SeClass || (exports.SeClass = {}));
var Urgency;
(function (Urgency) {
    Urgency["URGENT"] = "URGENT";
    Urgency["NOT_URGENT"] = "NOT_URGENT";
})(Urgency = exports.Urgency || (exports.Urgency = {}));
var InfoType;
(function (InfoType) {
    InfoType["USER_MANUAL"] = "MANUAL";
    InfoType["MAP"] = "MAP";
    InfoType["OTHER"] = "OTHER";
    InfoType["PHOTO"] = "PHOTO";
    InfoType["WEB_SITE"] = "WEBSIT";
})(InfoType = exports.InfoType || (exports.InfoType = {}));
var Source;
(function (Source) {
    Source["COMPUTER_FORECAST"] = "COMFOR";
    Source["HUMAN_DEDUCTION"] = "HUMDED";
    Source["HUMAN_OBSERVATION"] = "HUMOBS";
    Source["SENSOR_OBSERVATION"] = "SENSOR";
})(Source = exports.Source || (exports.Source = {}));
var Scale;
(function (Scale) {
    Scale["LEVEL_1"] = "1";
    Scale["LEVEL_2"] = "2";
    Scale["LEVEL_3"] = "3";
    Scale["LEVEL_4"] = "4";
    Scale["LEVEL_5"] = "5";
})(Scale = exports.Scale || (exports.Scale = {}));
var Status;
(function (Status) {
    Status["EVENT_COMPLETE"] = "COM";
    Status["EVENT_IN_PROGRESS"] = "IPR";
    Status["EVENT_NOT_STARTED"] = "NST";
    Status["EVENT_UNDER_CONTROL"] = "STOP";
    Status["EVENT_ABORTED"] = "ABO";
    Status["EVENT_CANCELLED"] = "CANCLD";
})(Status = exports.Status || (exports.Status = {}));
var RiskAssessmnt;
(function (RiskAssessmnt) {
    RiskAssessmnt["INCREASING"] = "INCREA";
    RiskAssessmnt["DECREASING"] = "DECREA";
    RiskAssessmnt["STABLE"] = "STABLE";
})(RiskAssessmnt = exports.RiskAssessmnt || (exports.RiskAssessmnt = {}));
var Cause;
(function (Cause) {
    Cause["ACCIDENTAL"] = "ACC";
    Cause["DELIBERATE"] = "DEL";
    Cause["NATURAL"] = "NAT";
})(Cause = exports.Cause || (exports.Cause = {}));
var EGeoStatus;
(function (EGeoStatus) {
    EGeoStatus["PLANNED"] = "PLANNED";
    EGeoStatus["INPLACE"] = "IN PLACE";
    EGeoStatus["GONE"] = "GONE";
})(EGeoStatus = exports.EGeoStatus || (exports.EGeoStatus = {}));
var CasualtiesContext;
(function (CasualtiesContext) {
    CasualtiesContext["REQUIRING_ACTION"] = "REQ_ACTION";
    CasualtiesContext["ALREADY_TREATED"] = "ALR_TREATED";
    CasualtiesContext["PREDICTED_URGENT"] = "PRED_URGENT";
    CasualtiesContext["PREDICTED_MEDIUM"] = "PRED_MEDIUM";
    CasualtiesContext["INITIAL_STATEMENT"] = "INITIAL_STAT";
    CasualtiesContext["PRELIMINARY_ASSESSMENT"] = "PRELIM_STAT";
})(CasualtiesContext = exports.CasualtiesContext || (exports.CasualtiesContext = {}));
var CasualtiesStatus;
(function (CasualtiesStatus) {
    CasualtiesStatus["CITIZEN"] = "CITIZEN";
    CasualtiesStatus["EMERGENCY_TEAM"] = "ET";
    CasualtiesStatus["AUTHORITIES"] = "AUTHO";
    CasualtiesStatus["VERY_IMPORTANT_PERSON"] = "VIP";
    CasualtiesStatus["MIXED"] = "MIXED";
    CasualtiesStatus["UNKNOWN"] = "UNK";
})(CasualtiesStatus = exports.CasualtiesStatus || (exports.CasualtiesStatus = {}));
var Triage;
(function (Triage) {
    Triage["GREY"] = "-1";
    Triage["BLUE"] = "0";
    Triage["GREEN"] = "1";
    Triage["YELLOW"] = "2";
    Triage["ORANGE"] = "3";
    Triage["RED"] = "4";
    Triage["BLACK"] = "5";
})(Triage = exports.Triage || (exports.Triage = {}));
var Contamination;
(function (Contamination) {
    Contamination["SUPPOSED_CONTAMINED"] = "SUP_CONT";
    Contamination["DECONTAMINATION_IN_PROGRESS"] = "DECON_PROG";
    Contamination["DECONTAMINATION_COMPLETED"] = "DECON_END";
    Contamination["WITHOUT_CONTAMINATION"] = "NO_CONT";
    Contamination["CONTAMINATION_NOT_ASSESSED"] = "NO_EVAL";
})(Contamination = exports.Contamination || (exports.Contamination = {}));
var Location;
(function (Location) {
    Location["CONFINED"] = "CONFINED";
    Location["EVACUATED"] = "EVACUATED";
    Location["DISPLACED"] = "DISPLACED";
    Location["TRAPPED"] = "TRAPPED";
})(Location = exports.Location || (exports.Location = {}));
var Health;
(function (Health) {
    Health["INJURED"] = "INJUR";
    Health["DEAD"] = "DEAD";
    Health["MISSING"] = "MISS";
    Health["INVOLVED"] = "INVOL";
    Health["IMPACTED"] = "IMPCT";
})(Health = exports.Health || (exports.Health = {}));
var PositionType;
(function (PositionType) {
    PositionType["POINT"] = "POINT";
    PositionType["CIRCLE"] = "CIRCLE";
    PositionType["LINE"] = "LINE";
    PositionType["SURFACE"] = "SURFACE";
    PositionType["GRID"] = "GRID";
    PositionType["POLYGON"] = "POLYGON";
    PositionType["ELLIPSE"] = "ELLIPSE";
})(PositionType = exports.PositionType || (exports.PositionType = {}));
var HeightRole;
(function (HeightRole) {
    HeightRole["MIN"] = "MIN";
    HeightRole["MAX"] = "MAX";
    HeightRole["AVG"] = "AVG";
})(HeightRole = exports.HeightRole || (exports.HeightRole = {}));
var MissionStatus;
(function (MissionStatus) {
    MissionStatus["ABORTED"] = "ABO";
    MissionStatus["CANCELLED"] = "CANCLD";
    MissionStatus["COMPLETE"] = "COM";
    MissionStatus["IN_PROGRESS"] = "IPR";
    MissionStatus["NOT_STARTED"] = "NST";
    MissionStatus["IN_PAUSE"] = "PAU";
})(MissionStatus = exports.MissionStatus || (exports.MissionStatus = {}));
var MissionPriority;
(function (MissionPriority) {
    MissionPriority["LOW_PRIORITY"] = "0";
    MissionPriority["P1"] = "1";
    MissionPriority["P2"] = "2";
    MissionPriority["P3"] = "3";
    MissionPriority["P4"] = "4";
    MissionPriority["HIGHEST_PRIORITY"] = "5";
})(MissionPriority = exports.MissionPriority || (exports.MissionPriority = {}));
var ResourceStatus;
(function (ResourceStatus) {
    ResourceStatus["AVAILABLE"] = "AVAILB";
    ResourceStatus["UNAVAILABLE"] = "UNAV";
    ResourceStatus["IN_MAINTENANCE"] = "MAINTC";
    ResourceStatus["RESERVED"] = "RESRVD";
    ResourceStatus["VIRTUAL"] = "VIRTUAL";
    ResourceStatus["IN_USE"] = "IN_USE";
    ResourceStatus["IN_USE_MOBILE"] = "IN_USE/MOBILE";
    ResourceStatus["IN_USE_ON_SCENE"] = "IN_USE/ON_SCENE";
})(ResourceStatus = exports.ResourceStatus || (exports.ResourceStatus = {}));
var ContactType;
(function (ContactType) {
    ContactType["POSTAL_ADDRESS"] = "PSTADD";
    ContactType["EMAIL"] = "EMLADD";
    ContactType["IP_ADDRESS"] = "IPADD";
    ContactType["FTP"] = "FTPADD";
    ContactType["WEB"] = "WEBADD";
    ContactType["PHONE_NUMBER"] = "PHNADD";
    ContactType["FAX"] = "FAXADD";
    ContactType["RADIO_NUMBER"] = "PMRADD";
})(ContactType = exports.ContactType || (exports.ContactType = {}));
