import { Default } from "../../common/default";
import { CasualtiesContext, Datime, Count } from "../../common/types";
import { Informations } from "./informations";
export declare class Casualties extends Default {
    datime?: Datime;
    context: CasualtiesContext;
    count: Count;
    informations?: Informations;
    constructor(context: CasualtiesContext, count: Count, datime?: Date);
    setInformations(informations: Informations): this;
    static default(): Casualties;
    assign(source: Record<string, any>): this;
}
