import { Default } from "../../common/default";
import { Address, CoordSys, HeightRole, LocId, Name, PositionType } from "../../common/types";
import { Coord } from "./coord";
export declare class Position extends Default {
    locId?: LocId;
    name?: Name;
    type?: PositionType;
    coordSys: CoordSys;
    heightRole?: HeightRole;
    coord?: Array<Coord>;
    address?: Array<Address>;
    constructor(locId?: LocId, name?: Name, type?: PositionType);
    setHeightRole(heightRole: HeightRole): this;
    addCoords(coords: Coord[]): this;
    addAddresses(addresses: Address[]): this;
    static default(): Position;
    assign(source: Record<string, any>): this;
}
